#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### translators (static) ######################

tde_add_library( translators STATIC_PIC AUTOMOC
  SOURCES
    alexandriaexporter.cpp alexandriaimporter.cpp
    amcimporter.cpp audiofileimporter.cpp bibtexexporter.cpp bibtexhandler.cpp
    bibteximporter.cpp bibtexmlexporter.cpp bibtexmlimporter.cpp csvexporter.cpp
    csvimporter.cpp dcimporter.cpp deliciousimporter.cpp exporter.cpp
    filelistingimporter.cpp freedb_util.cpp freedbimporter.cpp gcfilmsexporter.cpp
    gcfilmsimporter.cpp griffithimporter.cpp grs1importer.cpp htmlexporter.cpp libcsv.c
    onixexporter.cpp pdfimporter.cpp pilotdbexporter.cpp referencerimporter.cpp
    risimporter.cpp tellico_xml.cpp tellicoimporter.cpp tellicosaximporter.cpp
    tellicoxmlexporter.cpp tellicoxmlhandler.cpp tellicozipexporter.cpp textimporter.cpp
    xmlimporter.cpp xmlstatehandler.cpp xsltexporter.cpp xslthandler.cpp xsltimporter.cpp
    dataimporter.cpp importer.cpp
  LINK
    gui-static
  DEPENDENCIES
    core-static
)


##### other data ################################
install(
  FILES bibtex-translation.xml
  DESTINATION ${DATA_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)
install(
  PROGRAMS griffith2tellico.py
  DESTINATION ${DATA_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)


##### directories ###############################

if( NOT WITH_LIBBTPARSE )
  add_subdirectory( btparse )
endif( )
add_subdirectory( pilotdb )
